Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in xen
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in xen
ID: openSUSE-SU-2020:1783-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.2
Datum: Sa, 31. Oktober 2020, 07:10
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-27671
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-27673
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-27670
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-27672
Applikationen: Xen

Originalnachricht

   openSUSE Security Update: Security update for xen
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:1783-1
Rating: important
References: #1177409 #1177412 #1177413 #1177414
Cross-References: CVE-2020-27670 CVE-2020-27671 CVE-2020-27672
CVE-2020-27673
Affected Products:
openSUSE Leap 15.2
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:

This update for xen fixes the following issues:

- bsc#1177409 - VUL-0: CVE-2020-27673: xen: x86 PV guest INVLPG-like
flushes may leave stale TLB entries (XSA-286)
- bsc#1177412 - VUL-0: CVE-2020-27672: xen: Race condition in Xen mapping
code (XSA-345)
- bsc#1177413 - VUL-0: CVE-2020-27671: xen: undue deferral of IOMMU TLB
flushes (XSA-346)
- bsc#1177414 - VUL-0: CVE-2020-27670: xen: unsafe AMD IOMMU page table
updates (XSA-347)

This update was imported from the SUSE:SLE-15-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.2:

zypper in -t patch openSUSE-2020-1783=1



Package List:

- openSUSE Leap 15.2 (i586 x86_64):

xen-debugsource-4.13.1_10-lp152.2.12.1
xen-devel-4.13.1_10-lp152.2.12.1
xen-libs-4.13.1_10-lp152.2.12.1
xen-libs-debuginfo-4.13.1_10-lp152.2.12.1
xen-tools-domU-4.13.1_10-lp152.2.12.1
xen-tools-domU-debuginfo-4.13.1_10-lp152.2.12.1

- openSUSE Leap 15.2 (noarch):

xen-tools-xendomains-wait-disk-4.13.1_10-lp152.2.12.1

- openSUSE Leap 15.2 (x86_64):

xen-4.13.1_10-lp152.2.12.1
xen-doc-html-4.13.1_10-lp152.2.12.1
xen-libs-32bit-4.13.1_10-lp152.2.12.1
xen-libs-32bit-debuginfo-4.13.1_10-lp152.2.12.1
xen-tools-4.13.1_10-lp152.2.12.1
xen-tools-debuginfo-4.13.1_10-lp152.2.12.1


References:

https://www.suse.com/security/cve/CVE-2020-27670.html
https://www.suse.com/security/cve/CVE-2020-27671.html
https://www.suse.com/security/cve/CVE-2020-27672.html
https://www.suse.com/security/cve/CVE-2020-27673.html
https://bugzilla.suse.com/1177409
https://bugzilla.suse.com/1177412
https://bugzilla.suse.com/1177413
https://bugzilla.suse.com/1177414

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung